package edu.uoc.dtorrens.dtblib.mapes;

import java.io.InputStream;

import android.location.Location;

import com.google.android.maps.GeoPoint;

import edu.uoc.dtorrens.dtblib.kml.Marcador;
import edu.uoc.dtorrens.dtblib.localitzacio.MapsDosLocation;
 
public interface MapaInterface 
{
	public static final int ORIGEN = 0;
	public static final int DESTI = 1;
	public static final int ALTRES = 2;
	
	
	public void onLocationChangeCallback(Location location,MapsDosLocation mapLocation);
	
	public void centrar(int ilat, int ilon);
	public void centrar(double dlat, double dlon);
	public void centrar(GeoPoint centre);
	
	public void drawKml(InputStream in);
	public void drawKmlFromAsset(String asset);
	
	//public void addItemOverlay(GeoPoint punt);
	public void addMarcadorOverlay(Marcador marc);
	
	public void saveKml(String fileName, String dir);
}
