package edu.uoc.dtorrens.utils;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorMatrix;
import android.graphics.ColorMatrixColorFilter;
import android.graphics.Paint;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.view.Display;

public class BitmapUtils 
{
	public static Bitmap changeColor(float hue, Drawable d)
	{
		Bitmap sourceBitmap = ((BitmapDrawable) d).getBitmap();
	    
	    Paint paint = new Paint();
	    paint.setColorFilter(ColorFilterGenerator.adjustHue(hue));   

	    Bitmap resultBitmap = Bitmap.createBitmap(sourceBitmap, 0,0, sourceBitmap.getWidth(), sourceBitmap.getHeight());            

	   return resultBitmap;
	}
	
	

	
}
