package edu.uoc.dtorrens.utils;

import android.content.Context;
import android.graphics.Point;
import android.util.DisplayMetrics;
import android.view.Display;
import android.view.WindowManager;

public class ScreenUtils 
{
	public static Point screenSize(Context ctx)
	{
		WindowManager wm = (WindowManager) ctx.getSystemService(Context.WINDOW_SERVICE);
		Display display = wm.getDefaultDisplay();
		DisplayMetrics metrics = new DisplayMetrics();
		display.getMetrics(metrics);
		
		Point size = new Point();
		
		size.x = metrics.widthPixels;
		size.y = metrics.heightPixels;
		
		return size;
	}
}
