package edu.uoc.dtorrens.dtblib.dialeg;


import android.content.Intent;
import android.util.Log;
import android.widget.EditText;
import edu.uoc.dtorrens.dtblib.R;
import edu.uoc.dtorrens.dtblib.dialeg.exceptions.DialegException;

public class DialegGuarda extends Dialeg 
{
	private static final String TAG = Dialeg.class.getName();
	
	 
	
	/**
	 */
	protected EditText titol;
	/**
	 */
	protected EditText descripcio;
	/**
	 */
	protected EditText nom_arxiu;
		
	public DialegGuarda(DialegListenerActivity context) throws DialegException 
	{
		super(context, R.layout.save_form);
		returnCode = Dialeg.RETURN_CODE_SAVE;
	}
	
	
	public void build()
	{
		
		
		titol = (EditText)root.findViewById(R.id.titol);
		descripcio = (EditText)root.findViewById(R.id.descripcio);
		nom_arxiu = (EditText)root.findViewById(R.id.nom_arxiu);
		
		setButtons(Dialeg.ENABLE_ALL_BUTTONS);
		
		
	}
	
	/*public void setButtons(int flags)
	{
		if( (flags &  Dialeg.ENABLE_ALL_BUTTONS )  == Dialeg.ENABLE_ALL_BUTTONS ||
				(flags & Dialeg.ENABLE_BUTTON_OK) ==  Dialeg.ENABLE_BUTTON_OK )
		{
			Log.i(TAG, " BT OK ") ;
			builder.setPositiveButton(R.string.ok, new DialogInterface.OnClickListener() {
		        public void onClick(DialogInterface dialog, int id) {
		            // Send the positive button event back to the host activity
		            Log.d(TAG, " Has clicat OK ");
		            
		            complete = true;
		            getResults();
		        }
		    });
		}else{
			Log.i(TAG, "NO BT OK ") ;
		}
		
		if( (flags &  Dialeg.ENABLE_ALL_BUTTONS )  == Dialeg.ENABLE_ALL_BUTTONS ||
				(flags & Dialeg.ENABLE_BUTTON_CANCEL) ==  Dialeg.ENABLE_BUTTON_CANCEL )
		{
			Log.i(TAG, " BT CANNCEL ") ;
		    builder.setNegativeButton(R.string.cancel, new DialogInterface.OnClickListener() {
		        public void onClick(DialogInterface dialog, int id) {
		        	Log.d(TAG, " Has clicat Cancelar ");
		        	complete = false;
		        	getResults();
		        }
		    });
		}else{
			Log.i(TAG, "NO BT CANCEL") ;
		}
	}*/
	
	
	
	protected void getResults()
	{
		results = new Object[4];
		results[0] = Boolean.valueOf(complete);
		if(complete)
		{
	        results[1] = new String(titol.getText().toString());
	        results[2] = new String(descripcio.getText().toString());
	        results[3] = new String(nom_arxiu.getText().toString().replaceAll("[^a-zA-Z0-9]", "_"));;
		}else{
			results[1] = null;
	        results[2] = null;
	        results[3] = null;
		}
        
		if( context == null )
		{
			Log.e(TAG,"NULL EL Context");
		}else if(results == null)
		{
			Log.e(TAG,"NULL EL el results");
		}
        
	}


	@Override
	public void onActivityResult(int requestCode, int resultCode,
			Intent imageReturnedIntent) {
		// TODO Auto-generated method stub
		
	}
}