package edu.uoc.dtorrens.dtblib.kml;

import java.util.ArrayList;
import java.util.Iterator;

public class KmlDataSet
{
	/**
	 */
	private ArrayList<Marcador> marcadors = new ArrayList<Marcador>();
	/**
	 */
	private Marcador marcadorActual;
	/**
	 */
	private Marcador marcadorRuta;
	
	/**
	 */
	private String titol = "";
	/**
	 */
	private String descripcio = "";
	
	public String toString()
	{
		String s = "";
		for( Iterator<Marcador> it=marcadors.iterator();
				it.hasNext();)
		{
			Marcador m = (Marcador)it.next();
			s += m.getTitol() + "\n" + m.getDescripcio() + "\n\n";
		}		
		return s;
	}
	
	
	//-----------------------------------------------------------------
	public void addMarcadorActual()
	{
		marcadors.add(marcadorActual);
	}
	
	public ArrayList<Marcador> getMarcadors()
	{
		return marcadors;
	}
	
	public void setMarcadors(ArrayList<Marcador> marcadors)
	{
		this.marcadors = marcadors;
	}
	
	/**
	 * @return
	 */
	public Marcador getMarcadorActual()
	{
		return marcadorActual;
	}
	
	/**
	 * @param marcador
	 */
	public void setMarcadorActual(Marcador marcador)
	{
		marcadorActual = marcador;
	}
	
	/**
	 * @return
	 */
	public Marcador getMarcadorRuta()
	{
		return marcadorRuta;
	}
	
	/**
	 * @param marcador
	 */
	public void setMarcadorRuta(Marcador marcador)
	{
		marcadorRuta = marcador;
	}
	
	/**
	 * @return
	 */
	public String getTitol()
	{
		return titol;
	}
	
	/**
	 * @param t
	 */
	public void setTitol(String t)
	{
		titol = t;
	}
	
	/**
	 * @return
	 */
	public String getDescripcio()
	{
		return descripcio;
	}
	
	/**
	 * @param d
	 */
	public void setDescripcio(String d)
	{
		descripcio = d;
	}
}
